<?php

namespace InSegment\WorkersFramework\Http\Controllers;

use Shavshukov\EventAppBase\Http\Controller;
use Psr\Http\Message\ServerRequestInterface;
use React\Http\Response;

class ErrorController extends Controller
{
    public function unauthorised()
    {
        return new Response(
            401,
            [
                'WWW-Authenticate' => 'Basic realm="queue"',
            ],
            'Wrong username or password'
        );
    }
    
    public function accessDenied()
    {
        return new Response(403, [], 'Access denied');
    }
    
    public function notFound(ServerRequestInterface $request)
    {
        return new Response(404, [], "Not found {$request->getMethod()} {$request->getUri()->getPath()}");
    }
}
